Commit 18a21f8a authored by Michał Polański's avatar Michał Polański
Browse files

main/nodejs: security upgrade to 14.17.4

fixes CVE-2021-22930
parent b80bea42
Pipeline #88899 passed with stages
in 49 minutes and 24 seconds
......@@ -6,6 +6,8 @@
# Maintainer: Jakub Jirutka <jakub@jirutka.cz>
#
# secfixes:
# 14.17.4-r0:
# - CVE-2021-22930
# 14.17.3-r0:
# - CVE-2021-22918
# 14.16.1-r0:
......@@ -69,7 +71,7 @@
pkgname=nodejs
# Note: Update only to even-numbered versions (e.g. 6.y.z, 8.y.z)!
# Odd-numbered versions are supported only for 9 months by upstream.
pkgver=14.17.3
pkgver=14.17.4
pkgrel=0
pkgdesc="JavaScript runtime built on V8 engine - LTS version"
url="https://nodejs.org/"
......@@ -164,7 +166,7 @@ dev() {
}
sha512sums="
0ceeddd2b93ed1f7c40912b6533879f7401aaafd27f54230c65ec0454b2eb860abe855c73428a43aa440502302b31fd4a6fa700f5cb0b00702cd2ef522dbf496 node-v14.17.3.tar.gz
c6b574e5a3ee3329cc069bd1d556076e2002ba29ea3788aaa09fb669be13588adf783a2f179d0fcd8b17513979f39078d0a403b56f61fb9022652c2c3dcdbbd8 node-v14.17.4.tar.gz
dbe8167b61518f8f59176759d69834d57bf3e6a5a5fd3dfc2359cafe0325da08b27f8220d278ed77f50c9f63a03313eabbbb0eaca3e592e5bb4e0d5be0ced373 disable-running-gyp-on-shared-deps.patch
44e81fbf254bd79e38b813f7f5a1336df854588939cba50aaec600660495f9b7745a7049a99eb59d15a51100b3a44f66892a902d7fc32e1399b51883ad4c02cf link-with-libatomic-on-mips32.patch
"
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment